import Foundation

struct Post_Reactions_Types : Codable {
    
	let the1 : Post_Reaction_Model?
	let the2 : Post_Reaction_Model?
	let the3 : Post_Reaction_Model?
	let the4 : Post_Reaction_Model?
	let the5 : Post_Reaction_Model?
	let the6 : Post_Reaction_Model?

	enum CodingKeys: String, CodingKey {
		case the1 = "1"
		case the2 = "2"
		case the3 = "3"
		case the4 = "4"
		case the5 = "5"
		case the6 = "6"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
		the1 = try values.decodeIfPresent(Post_Reaction_Model.self, forKey: .the1)
		the2 = try values.decodeIfPresent(Post_Reaction_Model.self, forKey: .the2)
		the3 = try values.decodeIfPresent(Post_Reaction_Model.self, forKey: .the3)
		the4 = try values.decodeIfPresent(Post_Reaction_Model.self, forKey: .the4)
		the5 = try values.decodeIfPresent(Post_Reaction_Model.self, forKey: .the5)
		the6 = try values.decodeIfPresent(Post_Reaction_Model.self, forKey: .the6)
	}

}
